package artcustomer.limon.helloworld.components.application.view.views {
	import artcustomer.framework.core.AbstractFlashView;
	import artcustomer.framework.data.IViewData;
	import artcustomer.framework.debug.console.ConsoleLog;
	
	
	/**
	 * ViewApplication
	 * 
	 * @author David Massenot
	 */
	public class ViewApplication extends AbstractFlashView {
		
		
		/**
		 * Constructor
		 */
		public function ViewApplication() {
			super();
		}
		
		
		/**
		 * Setup View.
		 */
		override public function setup():void {
			ConsoleLog.log('ViewApplication is created');
			
			super.setup();
			super.add();
		}
		
		/**
		 * Reset View.
		 */
		override public function reset():void {
			super.reset();
		}
		
		/**
		 * Destroy View.
		 */
		override public function destroy():void {
			super.destroy();
		}
		
		/**
		 * Init View.
		 */
		override public function init():void {
			
		}
		
		/**
		 * Resize View.
		 */
		override public function resize():void {
			
		}
		
		/**
		 * Update View.
		 */
		override public function update(updateType:String, data:IViewData):void {
			
		}
	}
}