package artcustomer.limon.helloworld.components.application.model {
	import artcustomer.framework.core.*;
	import artcustomer.framework.debug.console.ConsoleLog;
	
	
	/**
	 * ApplicationModel
	 * 
	 * @author David Massenot
	 */
	public class ApplicationModel extends AbstractModel implements IModel {
		
		
		/**
		 * Constructor
		 */
		public function ApplicationModel() {
			super();
		}
		
		
		/**
		 * Setup Model.
		 */
		override public function setup():void {
			ConsoleLog.log('ApplicationModel is created');
			
			super.setup();
		}
		
		/**
		 * Reset Model.
		 */
		override public function reset():void {
			super.reset();
		}
		
		/**
		 * Destroy Model.
		 */
		override public function destroy():void {
			super.destroy();
		}
	}
}